com.streambase.sb

## Enum SchemaUtil.CoercionOptions

- java.lang.Object
- - java.lang.Enum<SchemaUtil.CoercionOptions>
  - - com.streambase.sb.SchemaUtil.CoercionOptions

- All Implemented Interfaces:
    Serializable, Comparable<SchemaUtil.CoercionOptions>
  Enclosing class:
    SchemaUtil

      public static enum SchemaUtil.CoercionOptions
      extends Enum<SchemaUtil.CoercionOptions>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `CAPTURE_FLAT_TO_RAW`
    `CAPTURE_NEST_TO_RAW`
    `CAPTURE_RAW_TO_FLAT`
    `CAPTURE_RAW_TO_NEST`
    `ERROR_ON_MISS_IN_SCHEMA_CALC`
    `IGNORE_METADATA_FIELDS_FOR_CAPTURE`
    `NOTHING`
    `STRICT_SUPERSET`
    `SUBSET`
    `SUPERSET`

  - ### Method Summary

    All Methods Static Methods Instance Methods Abstract Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `canChangeFieldCount()`
    `static boolean` | `canTransformCaptures(Collection<SchemaUtil.CoercionOptions> options)`
    `boolean` | `canTransformsCaptures()`
    `static SchemaUtil.CoercionOptions` | `findCaptureOption(Collection<SchemaUtil.CoercionOptions> options)`
    `abstract SchemaUtil.CoercionOptions` | `getInverse()`
    `static Set<SchemaUtil.CoercionOptions>` | `invert(Collection<SchemaUtil.CoercionOptions> options)`
    `static SchemaUtil.CoercionOptions` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static SchemaUtil.CoercionOptions[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### SUBSET

          public static final SchemaUtil.CoercionOptions SUBSET

    - #### SUPERSET

          public static final SchemaUtil.CoercionOptions SUPERSET

    - #### STRICT_SUPERSET

          public static final SchemaUtil.CoercionOptions STRICT_SUPERSET

    - #### CAPTURE_FLAT_TO_RAW

          public static final SchemaUtil.CoercionOptions CAPTURE_FLAT_TO_RAW

    - #### CAPTURE_RAW_TO_NEST

          public static final SchemaUtil.CoercionOptions CAPTURE_RAW_TO_NEST

    - #### CAPTURE_RAW_TO_FLAT

          public static final SchemaUtil.CoercionOptions CAPTURE_RAW_TO_FLAT

    - #### CAPTURE_NEST_TO_RAW

          public static final SchemaUtil.CoercionOptions CAPTURE_NEST_TO_RAW

    - #### ERROR_ON_MISS_IN_SCHEMA_CALC

          public static final SchemaUtil.CoercionOptions ERROR_ON_MISS_IN_SCHEMA_CALC

    - #### IGNORE_METADATA_FIELDS_FOR_CAPTURE

          public static final SchemaUtil.CoercionOptions IGNORE_METADATA_FIELDS_FOR_CAPTURE

    - #### NOTHING

          public static final SchemaUtil.CoercionOptions NOTHING

  - ### Method Detail

    - #### values

          public static SchemaUtil.CoercionOptions[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (SchemaUtil.CoercionOptions c : SchemaUtil.CoercionOptions.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static SchemaUtil.CoercionOptions valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### canChangeFieldCount

          public boolean canChangeFieldCount()

    - #### canTransformsCaptures

          public boolean canTransformsCaptures()

    - #### canTransformCaptures

          public static boolean canTransformCaptures(Collection<SchemaUtil.CoercionOptions> options)

    - #### findCaptureOption

          public static SchemaUtil.CoercionOptions findCaptureOption(Collection<SchemaUtil.CoercionOptions> options)

    - #### getInverse

          public abstract SchemaUtil.CoercionOptions getInverse()

    - #### invert

          public static Set<SchemaUtil.CoercionOptions> invert(Collection<SchemaUtil.CoercionOptions> options)

Copyright © 2015–2018 Cloud Software Group, Inc.. All rights reserved.